{
  "name": "repertory-ui",
  "version": "1.3.2",
  "private": true,
  "author": "scott.e.graves@protonmail.com",
  "description": "GUI for Repertory - Repertory allows you to mount Sia, Skynet, and/or ScPrime storage solutions via FUSE on Linux/OS X or via WinFSP on Windows.",
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.2.28",
    "@fortawesome/free-solid-svg-icons": "^5.13.0",
    "@fortawesome/react-fontawesome": "^0.1.11",
    "@reduxjs/toolkit": "^1.3.4",
    "auto-launch": "^5.0.5",
    "axios": "^0.19.2",
    "devtron": "^1.4.0",
    "electron-debug": "^3.0.1",
    "electron-log": "^4.1.1",
    "focus-trap-react": "^6.0.0",
    "font-awesome": "^4.7.0",
    "node-schedule": "^1.3.2",
    "randomstring": "^1.1.5",
    "react": "^16.13.1",
    "react-checkbox-tree": "^1.6.0",
    "react-dom": "^16.13.1",
    "react-loader-spinner": "^3.1.5",
    "react-redux": "^7.2.0",
    "react-scripts": "3.4.1",
    "react-tooltip": "^4.1.5",
    "redux": "^4.0.5",
    "redux-thunk": "^2.3.0",
    "unzipper": "^0.10.10",
    "winreg": "^1.2.4"
  },
  "devDependencies": {
    "cross-env": "^7.0.2",
    "electron": "5.0.13",
    "electron-builder": "20.44.4",
    "extract-text-webpack-plugin": "^3.0.2",
    "fibers": "^4.0.2",
    "node-sass": "^4.13.1",
    "sass": "^1.26.3",
    "typescript": "^3.8.3",
    "webpack-browser-plugin": "^1.0.20"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "electron-dev": "cross-env ELECTRON_START_URL=http://localhost:3000 electron .",
    "electron-dev-unix": "cross-env ELECTRON_START_URL=http://localhost:3000 electron .",
    "pack": "npm run build && electron-builder --dir --x64",
    "dist": "npm run build && electron-builder --x64",
    "dist-all": "npm run build && electron-builder --x64 --win --linux --mac",
    "dist-mac": "npm run build && electron-builder --x64 --mac",
    "dist-linux": "npm run build && electron-builder --x64 --linux",
    "dist-win": "npm run build && electron-builder --x64 --win",
    "postinstall": "electron-builder install-app-deps"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ],
  "main": "public/electron.js",
  "homepage": "./",
  "build": {
    "appId": "repertory-ui",
    "artifactName": "${productName}_${version}_${os}_${arch}.${ext}",
    "files": [
      "./electron.js",
      "src/constants.js",
      "build/**/*",
      "node_modules/**/*",
      "src/helpers.js",
      "src/renderer/**/*",
      "public/detect_linux.sh"
    ],
    "linux": {
      "category": "Utility",
      "target": "AppImage"
    },
    "mac": {
      "category": "public.app-category.utilities",
      "target": "dmg",
      "darkModeSupport": true,
      "icon": "./build/icon.icns"
    },
    "win": {
      "icon": "./build/icon.ico",
      "target": "nsis"
    },
    "directories": {
      "buildResources": "public"
    }
  }
}
